<template>
  <view class="container">
    <u-parse :content="template_text"></u-parse>
  </view>
</template>

<script>
  export default {
    data() {
      return {
        template_text: `<p class="title">
      概述
    </p>
    <p class="text">
      我们将非常重视您的个人信息保护。在您使用我们的服务前，请您仔细阅读并了解<隐私条款>。我们将严格按照本隐私条款使用和保护您的个人信息
    </p>

    <p class="title">
      信息收集
    </p>
    <p class="text">
      我们将非常重视您的个人信息保护。在您使用我们的服务前，请您仔细阅读并了解<隐私条款>。我们将严格按照本隐私条款使用和保护您的个人信息
    </p>

    <p class="title">
      信息使用
    </p>
    <p class="text">
      我们将非常重视您的个人信息保护。在您使用我们的服务前，请您仔细阅读并了解<隐私条款>。我们将严格按照本隐私条款使用和保护您的个人信息
    </p>

    <p class="title">
      信息保护
    </p>
    <view class="text">
      我们将非常重视您的个人信息保护。在您使用我们的服务前，请您仔细阅读并了解<隐私条款>。我们将严格按照本隐私条款使用和保护您的个人信息
    </p>

    <p class="title">
      信息披露
    </p>
    <p class="text">
      我们将非常重视您的个人信息保护。在您使用我们的服务前，请您仔细阅读并了解<隐私条款>。我们将严格按照本隐私条款使用和保护您的个人信息
    </p>`
      }
    },
    onLoad(option) {
      let type = option.type
      switch (type) {
        case '0':
          uni.setNavigationBarTitle({
            title: '应用权限说明'
          });
          break;
        case '1':
          uni.setNavigationBarTitle({
            title: '个人信息收集清单'
          });
          break;
        case '2':
          uni.setNavigationBarTitle({
            title: '第三方共享个人信息清单'
          });
          break;
        case '3':
          uni.setNavigationBarTitle({
            title: '关于我们'
          });
          break;
      }

    }
  }
</script>

<style lang="scss" scoped>
  .container {
    padding: 40rpx;

    .title {
      font-size: 28rpx;
      color: #000;
      font-weight: bold;
    }

    .text{
      margin: 20rpx 0 40rpx;
      color: #6B7280;
    }
  }
</style>
